Check if an address is suppressed
GET
/suppressions/check/{email}
const url = 'https://mail.teamander.com/v1/suppressions/check/jane%40example.com';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://mail.teamander.com/v1/suppressions/check/jane%40example.com \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”email
required
Email address
string
Example
jane@example.comResponses
Section titled “Responses”Suppression status
Media typeapplication/json
object
suppressed
required
boolean
reason
required
string
since
required
string
Example
{ "suppressed": true, "reason": "bounce", "since": "2026-07-01T12:00:00.000Z"}Missing or invalid API key
Media typeapplication/json
object
error
required
string
message
string
Example
{ "error": "Invalid API key"}